# Generated from next_on_rails-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name next_on_rails

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Next On Rails connect Next.js to Rails
License: MIT
URL: https://github.com/Uqido/next-on-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(factory_bot_rails) >= 5.0.2
# BuildRequires: rubygem(factory_bot_rails) < 5.1
# BuildRequires: rubygem(faker)
# BuildRequires: rubygem(sqlite3)
BuildArch: noarch

%description
Next On Rails is a Ruby gem and a NPM package that help developers connecting
Rails --api backend app to Next.js frontend app.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.1-1
- Initial package
